execute
curl --request PUT \
--url https://console.vast.ai/api/v0/instances/command/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"command": "ls -l"
}
'import requests
url = "https://console.vast.ai/api/v0/instances/command/{id}"
payload = { "command": "ls -l" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({command: 'ls -l'})
};
fetch('https://console.vast.ai/api/v0/instances/command/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"writeable_path": "/workspace",
"result_url": "https://s3.amazonaws.com/vast.ai/instance_logs/abc123.log",
"msg": "Command is executing, wait a few seconds and then view the result_url"
}{
"success": false,
"msg": "Invalid command given."
}{
"success": false,
"error": "<string>",
"msg": "<string>"
}{
"success": false,
"error": "<string>",
"msg": "<string>"
}{
"detail": "API requests too frequent endpoint threshold=1.5"
}{
"success": false,
"error": "invalid_args",
"msg": "Invalid json_body"
}Instances
execute
Executes a constrained remote command on a specified instance. The command output can be retrieved from the returned result URL.
CLI Usage: vastai execute <instance_id> <command>
PUT
/
api
/
v0
/
instances
/
command
/
{id}
execute
Authorizations
API key must be provided in the Authorization header
Path Parameters
ID of the instance to execute command on
Example:
12345
Body
application/json
Command to execute on the instance
Maximum string length:
512Example:
"ls -l"
Response
Command queued successfully
Example:
true
Container writeable path
Example:
"/workspace"
URL to fetch command execution results
Example:
"https://s3.amazonaws.com/vast.ai/instance_logs/abc123.log"
Example:
"Command is executing, wait a few seconds and then view the result_url"
⌘I